jQuery(document).ready( function($) {
	
	var exazPlusMain = function() {
		$.post(ajaxurl, {
			action: "exaz_plus_process",
			plustype: "Intro"
		}, function(data) {
			$("#exazplus").html(data);
			$("#exazloading").hide();
			$("#exazplus").show();
			exazPlusMainButtonEvents();
		});
	}
	
	var exazPlusMainButtonEvents = function() {
		$(".plus-button").button().click(exazPlusMainButtonClicked);
		$(".plus-sub-link").button().click(exazPlusMainButtonClicked);
	}

	var exazPlusMainButtonClicked = function() {
		var clickedButton = $(this).attr("id");

		$("#exazmessage").hide();
		if (clickedButton == "plus-link-button")
			exazInitializeLink();
		if (clickedButton == "plus-link-delete")
			exazDeleteLink();
		
		return false;
	}
	
	var exazInitializeLink = function() {
		$("#plus-link-button-loading").show();
		$("#plus-link-button").unbind('click');
		//Run JS post to retrieve existing link information & generate HTML
		//Load HTML into div & open link dialog
		$.post(ajaxurl, {
			action: "exaz_plus_process",
			plustype: "GetLink"
		}, function(data) {
			$("#plus-link-button-loading").hide();
			exazPlusMainButtonEvents();
			$("#exazlink").html(data);
			$("#exazlink").dialog('open');
		});
	}
	var exazDeleteLink = function() {
		$("#exazdelete").dialog('open');
	}

	
	$("#exazlink").dialog({
		autoOpen: false,
		width: 800,
		modal: true,
		buttons: {
			"Save Site Link": function() {
				$("#exazplus").hide();
				$("#exazloading").show();
				var pluslinkname = jQuery("#pluslinkname").val();
				var pluslinkdescription = jQuery("#pluslinkdescription").val();
				var pluslinkcategory = jQuery("#pluslinkcategory").val();
				//alert(pluslinkdescription);
				var data2 = {
					action: 'exaz_plus_process',
					plustype : "SaveLink",
					pluslinkname : pluslinkname,
					pluslinkdescription : pluslinkdescription,
					pluslinkcategory : pluslinkcategory
				};
									
				jQuery.post(ajaxurl, data2,
				function(response){	
					$("#exazmessage").html(response);
					$("#exazmessage").show();
					exazPlusMain();
				});	
				$( this ).dialog( "close" );						
			},
			Cancel: function() {
				$( this ).dialog( "close" );
			}
		},
		close: function() {
			//	//allFields.val( "" ).removeClass( "ui-state-error" );
		}
	});
	
	
	$("#exazdelete").dialog({
		autoOpen: false,
		width: 550,
		modal: true,
		buttons: {
			"DELETE SITE LINK": function() {
				$("#exazplus").hide();
				$("#exazloading").show();
				var data2 = {
					action: 'exaz_plus_process',
					plustype : "DeleteLink"
				};
				jQuery.post(ajaxurl, data2,
					function(response){	
					$("#exazmessage").html(response);
					$("#exazmessage").show();
					exazPlusMain();
				});	
				$( this ).dialog( "close" );						
			},
			Cancel: function() {
				$( this ).dialog( "close" );
			}
		},
		close: function() {
			//	//allFields.val( "" ).removeClass( "ui-state-error" );
		}
	});
	
	//Loads the initial welcome screen for ExtendAzon Plus
	exazPlusMain();
	
});

						

